- Qt 6.11
- QML Types
- QtQml.Models
- RoleSorter
- Qt 6.11.2 Reference Documentation

# RoleSorter QML Type

Sort data in a SortFilterProxyModel based on configured role name. More...

Import Statement: | `import QtQml.Models`
Since: | Qt 6.10
Inherits: | Sorter
Status: | Preliminary

This type is under development and is subject to change.

- List of all members, including inherited members

## Properties

- roleName : string

## Detailed Description

RoleSorter allows the user to sort the data according to the role name as configured in the source model.

The RoleSorter can be configured in the sort filter proxy model as below,

     SortFilterProxyModel {
         model: sourceModel
         sorters: [
             RoleSorter { roleName: "firstname" }
         ]
     }

## Property Documentation

### roleName : string

This property holds the role name that will be used to sort the data.

The default value is display role.